<script setup lang="ts">
import { ErrorWithReasons } from '@/services/errors'

defineProps<{ loginError: Error | null }>()
</script>

<template>
  <div v-if="loginError" class="text-center whitespace-break-spaces mt-6 alert alert-error">
    <div v-if="loginError instanceof ErrorWithReasons">
      <ul v-for="(reason, index) in loginError.error.reasons" :key="index">
        <li>{{ reason }}</li>
      </ul>
    </div>
    <span v-else>{{ loginError.message }}</span>
  </div>
</template>
